Summary:	Networking support for GLib
Summary(pl.UTF-8):	Obsługa sieci dla GLiba
Name:		glib-networking
Version:	2.36.0
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glib-networking/2.36/%{name}-%{version}.tar.xz
# Source0-md5:	062dafdb939510e7b38eea3d3b367be0
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.35.8
BuildRequires:	gnutls-devel >= 2.12.8
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgcrypt-devel >= 1.2.0
BuildRequires:	libproxy-devel >= 0.3.1
BuildRequires:	libtool >= 2:2.0
BuildRequires:	p11-kit-devel >= 0.8
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.35.8
Requires:	ca-certificates
Requires:	glib2 >= 1:2.35.8
Requires:	gnutls >= 2.12.8
Requires:	gsettings-desktop-schemas
Requires:	libproxy >= 0.3.1
Requires:	p11-kit >= 0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains modules that extend the networking support in
GIO. In particular, it contains a libproxy-based GProxyResolver
implementation and a gnutls-based GTlsConnection implementation.

%description -l pl.UTF-8
Ten pakiet zawiera moduły rozszerzające obsługę sieci w GIO, w
szczególności: implementację GProxyResolver opartą na libproxy oraz
implementację GTlsConnection opartą na gnutls.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--with-ca-certificates=/etc/certs/ca-certificates.crt
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%postun
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/glib-pacrunner
%attr(755,root,root) %{_libdir}/gio/modules/libgiognutls.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiolibproxy.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiognomeproxy.so
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%changelog
* Wed Mar 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 2125fbb
- versioned gnutls,p11-kit dependecies

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 6c39954
- updated to 2.36.0

* Tue Nov 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 7bd4aa9
- updated to 2.34.2

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 18e7624
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> dd0640a
- more glib2 version updates

* Mon Sep 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> bd78aa9
- updated to 2.34.0

* Wed May 16 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5df5a30
- updated to 2.32.3

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7243b09
- updated to 2.32.1

* Fri Mar 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 0011f19
- GIO modules require gsettings-desktop-schemas

* Wed Mar 28 2012 Jakub Bogusz <qboosh@pld-linux.org> a66ce7d
- versioned runtime glib2 dependency

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7db2284
- updated to 2.32.0; merged from DEVEL

* Sat Jan 07 2012 Jakub Bogusz <qboosh@pld-linux.org> bd7705c
- updated to 2.30.2

* Tue Oct 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> 02cef20
- updated to 2.30.1

* Tue Sep 27 2011 Łukasz Kieś <kiesiu@pld-linux.org> a9f698a
- updated to 2.30.0; merged from DEVEL

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 50e918b
- release 2

* Tue May 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 998eea1
- updated to 2.28.7

* Tue Apr 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9ee8a83
- updated to 2.28.6.1

* Tue Apr 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> a7b4b44
- updated to 2.28.6

* Mon Apr 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 1227c92
- updated to 2.28.5

* Tue Mar 22 2011 Artur Frysiak <artur@frysiak.net> d1f0a5e
- up to 2.28.4

